//
//  UIViewController+Pointr.h
//
//  Created by Pointr Labs on 27/12/2014.
//  Copyright (c) 2014 Pointr. All rights reserved.
//

#import <UIKit/UIKit.h>

/// Pointr's `UIViewController` category
OBJC_EXPORT @interface UIViewController(Pointr)

/////////////////////////////////////////////////////////////////////////
#pragma mark - Transitions
/////////////////////////////////////////////////////////////////////////

/**
 Custom implementation of pushing a VC onto the current VC
 */
- (void)ptr_transitionTo:(UIViewController *)vc withCompletion:(void (^)(void))block;

/**
 Custom implementation of popping back the VC
 */
- (void)ptr_popBackWithCompletion:(void (^)(void))block;

@end
