//
//  PTRARPathNode.h
//
//  Created by Pointr on 28/06/2022.
//  Copyright © 2022 Pointr. All rights reserved.
//

#import <PointrKit/PointrKit.h>

@class PTRARLocation;

NS_ASSUME_NONNULL_BEGIN

/// Model class for a node of a AR path.
@interface PTRARPathNode : PTRPathNode

/// The nodes's location on AR.
@property (strong, nonatomic, readonly, nonnull) PTRARLocation *arLocation;

- (instancetype)init NS_UNAVAILABLE;

@end

NS_ASSUME_NONNULL_END
