//
//  PTRGeometryCollection.h
//
//  Created by Pointr on 04/11/2022.
//  Copyright © 2022 Pointr. All rights reserved.
//

#import <PointrKit/PTRGeometry.h>

NS_ASSUME_NONNULL_BEGIN

/// Model class for multi geometry.
@interface PTRGeometryCollection : PTRGeometry

/// All the geometries that form this object.
@property (strong, nonatomic, readonly, nonnull) NSArray<PTRGeometry *> *geometries;

- (instancetype)init NS_UNAVAILABLE;

@end

NS_ASSUME_NONNULL_END
