//
//  PTRGeoMultiPoint.h
//
//  Created by Pointr on 04/11/2022.
//  Copyright © 2022 Pointr. All rights reserved.
//

#import <PointrKit/PTRGeometry.h>

@class PTRGeoPoint;

NS_ASSUME_NONNULL_BEGIN

/// Model class for multi point geometry.
@interface PTRGeoMultiPoint : PTRGeometry

/// The points that form the geometry.
@property (strong, nonatomic, readonly) NSArray<PTRGeoPoint *> *points;

- (instancetype)init NS_UNAVAILABLE;

@end

NS_ASSUME_NONNULL_END
