//
//  PTRGeoMultiPolygon.h
//
//  Created by Pointr on 23/06/2022.
//  Copyright © 2022 Pointr. All rights reserved.
//

#import <PointrKit/PTRGeometry.h>

#import <CoreLocation/CoreLocation.h>

@class PTRGeoPolygon;

NS_ASSUME_NONNULL_BEGIN

/// Model class for a multi polygon geometry.
@interface PTRGeoMultiPolygon : PTRGeometry

/// All the polygons that form the entire geometry.
@property (strong, nonatomic, readonly, nonnull) NSArray<PTRGeoPolygon *> *polygons;

- (instancetype)init NS_UNAVAILABLE;

@end

NS_ASSUME_NONNULL_END
